Page MenuHomePhabricator

upgrade: add an explicite --filelogs arguments
ClosedPublic

Authored by marmoute on Nov 30 2020, 10:43 AM.

Details

Summary

This make it possible to select no revlog for upgrade, which is useful for some
upgrade target or in some specific cases (eg: persistent-nodemap or share-safe
update).

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Nov 30 2020, 10:43 AM
pulkit added a subscriber: pulkit.Nov 30 2020, 11:36 AM

This make it possible to select no revlog for upgrade, which is useful for some
upgrade target or in some specific cases.

Can you mention the cases you are talking about in commit message? I guess these are related to copy-info ones but not sure.

This make it possible to select no revlog for upgrade, which is useful for some
upgrade target or in some specific cases.

Can you mention the cases you are talking about in commit message? I guess these are related to copy-info ones but not sure.

No they are related to case where do don't need to touch the revlogs diff at all, like persistent-nodemap or share-safe

marmoute edited the summary of this revision. (Show Details)Dec 1 2020, 4:54 AM
pulkit added a comment.Dec 1 2020, 6:13 AM

This make it possible to select no revlog for upgrade, which is useful for some
upgrade target or in some specific cases.

Can you mention the cases you are talking about in commit message? I guess these are related to copy-info ones but not sure.

No they are related to case where do don't need to touch the revlogs diff at all, like persistent-nodemap or share-safe

In that case, we can better have --no-revlogs or something similar. It won't be obvious that --filelog can be or is meant to be used for such purposes.

This make it possible to select no revlog for upgrade, which is useful for some
upgrade target or in some specific cases.

Can you mention the cases you are talking about in commit message? I guess these are related to copy-info ones but not sure.

No they are related to case where do don't need to touch the revlogs diff at all, like persistent-nodemap or share-safe

In that case, we can better have --no-revlogs or something similar. It won't be obvious that --filelog can be or is meant to be used for such purposes.

adding --filelogs mean --no-filelogs get added too and is the one used for that purporses. (and the doc explains it)

pulkit accepted this revision.Dec 2 2020, 2:10 AM
This revision is now accepted and ready to land.Dec 2 2020, 2:10 AM
marmoute updated this revision to Diff 23928.Dec 2 2020, 2:59 AM
This revision was automatically updated to reflect the committed changes.